Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Views

Get Content Views
GET /contentmodules/{moduleId}/content/{contentId}/views
https://api.relesysapp.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/views
Get a list of users that have seen or swiped (read) on a content with contentId in a module with moduleId.
Default sorting is by dateViewed in descending order.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Query String
dateSwiped datetimeoffset Filterable Sortable optional
dateViewed datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"a454e61f-16fb-4279-8364-2e2aa5c8877b","userId":"2c787dc3-59dc-4b31-8c5e-a2b02aa9c6ca","userUrl":null,"dateSwiped":"2026-11-10T13:02:15.8244616+00:00","dateViewed":"2026-11-10T13:02:15.8244616+00:00"},{"id":"c4359d98-46a2-4524-9a42-51159f55506a","userId":"928ac098-f911-4a10-a2ab-cc8e3b2e53d5","userUrl":null,"dateSwiped":null,"dateViewed":"2026-11-11T13:02:15.8244616+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   dateSwiped datetimeoffset      
   dateViewed datetimeoffset      
   id string / guid      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string